< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package play
  Definition Classes
    hmrc
-  package http
  Definition Classes
    play
-  package ws
  Definition Classes
    http
-  package default
  Definition Classes
    ws
- WSDelete
- WSExecute
- WSGet
- WSHttp
- WSHttpResponse
- WSPatch
- WSPost
- WSProxy
- WSProxyConfiguration
- WSPut
- WSRequest
- WSRequestBuilder

t

uk.gov.hmrc.play.http.ws

# WSPost 

###

#### trait WSPost extends ws.default.WSPost with WSRequest

Linear Supertypes
WSRequest, default.WSPost, WSExecute, WSRequestBuilder, Request, PostHttpTransport, CorePost, AnyRef, Any
Known Subclasses
WSHttp
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. WSPost
2. WSRequest
3. WSPost
4. WSExecute
5. WSRequestBuilder
6. Request
7. PostHttpTransport
8. CorePost
9. AnyRef
10. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1.  abstract def POST[I, O](url: String, body: I, headers: Seq[(String, String)] = Seq.empty)(implicit wts: Writes[I], rds: HttpReads[O], hc: HeaderCarrier, ec: ExecutionContext): Future[O]
   Definition Classes
     CorePost
2.  abstract def POSTEmpty[O](url: String, headers: Seq[(String, String)] = Seq.empty)(implicit rds: HttpReads[O], hc: HeaderCarrier, ec: ExecutionContext): Future[O]
   Definition Classes
     CorePost
3.  abstract def POSTForm[O](url: String, body: Map[String, Seq[String]], headers: Seq[(String, String)] = Seq.empty)(implicit rds: HttpReads[O], hc: HeaderCarrier, ec: ExecutionContext): Future[O]
   Definition Classes
     CorePost
4.  abstract def POSTString[O](url: String, body: String, headers: Seq[(String, String)] = Seq.empty)(implicit rds: HttpReads[O], hc: HeaderCarrier, ec: ExecutionContext): Future[O]
   Definition Classes
     CorePost
5.  abstract def wsClient: WSClient
   Attributes
     protected
   Definition Classes
     WSRequestBuilder

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def POST[I, O](url: URL, body: I, headers: Seq[(String, String)])(implicit wts: Writes[I], rds: HttpReads[O], hc: HeaderCarrier, ec: ExecutionContext): Future[O]
   Definition Classes
     CorePost
5.  final def POST[I, O](url: URL, body: I)(implicit wts: Writes[I], rds: HttpReads[O], hc: HeaderCarrier, ec: ExecutionContext): Future[O]
   Definition Classes
     CorePost
6.  def POSTEmpty[O](url: URL, headers: Seq[(String, String)])(implicit rds: HttpReads[O], hc: HeaderCarrier, ec: ExecutionContext): Future[O]
   Definition Classes
     CorePost
7.  final def POSTEmpty[O](url: URL)(implicit rds: HttpReads[O], hc: HeaderCarrier, ec: ExecutionContext): Future[O]
   Definition Classes
     CorePost
8.  def POSTForm[O](url: URL, body: Map[String, Seq[String]], headers: Seq[(String, String)])(implicit rds: HttpReads[O], hc: HeaderCarrier, ec: ExecutionContext): Future[O]
   Definition Classes
     CorePost
9.  final def POSTForm[O](url: URL, body: Map[String, Seq[String]])(implicit rds: HttpReads[O], hc: HeaderCarrier, ec: ExecutionContext): Future[O]
   Definition Classes
     CorePost
10.  def POSTString[O](url: URL, body: String, headers: Seq[(String, String)])(implicit rds: HttpReads[O], hc: HeaderCarrier, ec: ExecutionContext): Future[O]
    Definition Classes
      CorePost
11.  final def POSTString[O](url: URL, body: String)(implicit rds: HttpReads[O], hc: HeaderCarrier, ec: ExecutionContext): Future[O]
    Definition Classes
      CorePost
12.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
13.  def buildRequest[A](url: String, headers: Seq[(String, String)]): play.api.libs.ws.WSRequest
    Definition Classes
      WSRequest → WSRequestBuilder
14.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
15.  def doEmptyPost[A](url: String, headers: Seq[(String, String)])(implicit ec: ExecutionContext): Future[HttpResponse]
    Definition Classes
      WSPost → PostHttpTransport
16.  def doFormPost(url: String, body: Map[String, Seq[String]], headers: Seq[(String, String)])(implicit ec: ExecutionContext): Future[HttpResponse]
    Definition Classes
      WSPost → PostHttpTransport
17.  def doPost[A](url: String, body: A, headers: Seq[(String, String)])(implicit rds: Writes[A], ec: ExecutionContext): Future[HttpResponse]
    Definition Classes
      WSPost → PostHttpTransport
18.  def doPostString(url: String, body: String, headers: Seq[(String, String)])(implicit ec: ExecutionContext): Future[HttpResponse]
    Definition Classes
      WSPost → PostHttpTransport
19.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
21.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
22.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
23.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
24.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
25.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
26.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
27.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
28.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
29.  def toString(): String
    Definition Classes
      AnyRef → Any
30.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
31.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
32.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
33.  def withEmptyBody(request: play.api.libs.ws.WSRequest): play.api.libs.ws.WSRequest
    Definition Classes
      WSPost → WSPost

### Inherited from WSRequest

### Inherited from default.WSPost

### Inherited from WSExecute

### Inherited from WSRequestBuilder

### Inherited from Request

### Inherited from PostHttpTransport

### Inherited from CorePost

### Inherited from AnyRef

### Inherited from Any

### Ungrouped